Please modify the display order of  names in Simplified Chinese language
Target version:    

Resolution:    

Description

When I choose the language of 'Simplified Chinese'，my first name is '三' and last name is '张'， i hope it can displayed with '张 三'.

History

#1 - 2019-07-29 18:49 - Holger Just

Admins can globally configure how names are displayed in Administration -> Settings -> Display -> User display format. This setting applies to all

users and all projects.

I'm not sure how we could reliable change this (resp. add another option) to be locale-dependent. Two options come to mind, each with their own

drawbacks:

We could display names depending on the locale of the user whose name we display. Names of users who selected a Chinese locale could then

be displayed as "Lastname Firstname" while users with the English locale would be shown as "Firstname Lastname"

We could generally display names based on the locale of the current user (i.e. the one who sees the rendered page). Here, all names would be

shown as "Lastname Firstname" if you selected Chinese as your locale, regardless of the locale of the user whose name we show.

In both cases, things will be odd or unexpected for some users if names from different cultures are mixed. Right now, the configured value is at least

consistent everywhere and with every language.

#2 - 2019-07-30 02:44 - Harmony Chang

- Status changed from New to Resolved

I see, this is what I want, thank you very much.

#3 - 2019-07-30 05:53 - Bernhard Rohloff

- Status changed from Resolved to Closed
